-- Written by DaddelZeit.
-- Permission for usage is hereby granted to anyone owning this file.

local M = {}

local function toggleMotor()
  if not emDisabled then
    setEmotorDirection(0)
	guihooks.message("EM Mode disabled")
    emDisabled = true
  else
    emDisabled = false
	guihooks.message("EM Mode enabled")
  end
end

local function updateGFX()
   if emDisabled then
   return
   end
end

local function init()
   
end
M.toggleEM = toggleEM
M.init = init
M.updateGFX = updateGFX

return M